Subject: Re: bug#13426: Frame parameter fullscreen and maximized

From: martin rudalics <[email-masked]>
Date: Mon, 12 Jan 2015 08:37:01 +0100

> Both issues are fixed.

Fine.

 > However, now I see another related problem: having this code in ~/.emacs,
 >
 >    (add-hook 'after-init-hook
 >              (lambda ()
 >                (toggle-frame-maximized))
 >              t)
 >
 > I get a maximized frame visually, but internally with unmaximized dimensions,
 > i.e. mouse avoidance moves the mouse pointer to the middle of the frame instead
 > of the edges (because it uses frame dimensions from unmaximized frame), etc.

Works normally on Windows here.  What does `window--dump-frame' produce
on such a frame?  Do you get the same behavior when you add (fullscreen
. maximized) to `initial-frame-alist' or `default-frame-alist'?

 > This is a recent bug that breaks frame dimensions after desktop frame restore.

Hmmm...  How recent?  Does desktop frame restore use `toggle-frame-maximized'?

 > If you already know about this problem, could you please point me to the
 > existing bug report, or should I create a new one?

Please create a new one.

martin